#ifndef SLIMOPT_H
#define SLIMOPT_H

#define OPT_FLG   0
#define OPT_STR   1

typedef struct opt_spec {
	const char  short_name; /* one charactor option -? */
	const int   type;       /* 0:OPT_FLG, 1:OPT_STR */
	const void *def_val;    /* default value */
} OPTSPEC;

extern int slimopt(int argc, char **argv, const OPTSPEC *p_spec, void **p_val, int *p_next_arg_id);

#endif  /* SLIMOPT_H */
